Subject: [Dev] Re: [TriLUG] OT: Perl question

From: "Chris Hedemark" <[email-masked]>
Date: Mon, 25 Mar 2002 12:43:35 -0600 (CST)

> I have been asked if I can learn Perl to support a project, Windoze and
> *nix based. What are some good resources to learn it fairly quickly? I
> have a C, C++, BASIC, VB background.

Learning perl is cake.

The first must-have book is "Learning Perl" (its one of the OReilly
books).  If you read that one cover to cover and do the exercises you'll
have most of the important stuff down.  The official perl web site has a
lot of tutorials available for free as well.

Depending on what kind of project you are working on, there are some other
sources focusing on things like DBI (the very excellent perl interface to
almost every RDBMS known to man), or taking advantage of Windows features
like COM.  If you can tell us a little more about what you're trying to do
I can point you to some more specific advanced resources.

If you can grok C or C++, perl will be a walk in the park.